org.apache.solr.common.util

## Class ObjectReleaseTracker

- java.lang.Object
- - org.apache.solr.common.util.ObjectReleaseTracker

    public class ObjectReleaseTracker
    extends Object

### Field Summary

Fields
`static Map<Object,String>` `OBJECTS`

### Constructor Summary

Constructors
Constructor and Description
`ObjectReleaseTracker()`

### Method Summary

Methods
`static String` `checkEmpty()`
`static void` `clear()`
`static String` `clearObjectTrackerAndCheckEmpty()`
`static boolean` `release(Object object)`
`static boolean` `track(Object object)`
`static void` `tryClose()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OBJECTS

    public static Map<Object,String> OBJECTS

### Constructor Detail

#### ObjectReleaseTracker

    public ObjectReleaseTracker()

### Method Detail

#### track

    public static boolean track(Object object)

#### release

    public static boolean release(Object object)

#### clear

    public static void clear()

#### clearObjectTrackerAndCheckEmpty

    public static String clearObjectTrackerAndCheckEmpty()

Returns:
  null if ok else error message

#### checkEmpty

    public static String checkEmpty()

Returns:
  null if ok else error message

#### tryClose

    public static void tryClose()